Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.startup
Class DeepCloneLinkedList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.AbstractSequentialList
                  java.util.LinkedList
                      gecco.server.startup.DeepCloneLinkedList

All Implemented Interfaces:
  Cloneable, Collection, DeepCloneable, List, Serializable

public class DeepCloneLinkedList
extends LinkedList
implements DeepCloneable

Description of the Class

Author:
  Karl Hasselström
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`DeepCloneable` | `deepClone()` Description of the Method

Methods inherited from class java.util.LinkedList
`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, remove, remove, removeFirst, removeLast, set, size, toArray, toArray`

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, retainAll, subList`

Method Detail

### deepClone

    public DeepCloneable deepClone()

  Description of the Method

  Specified by:
    `deepClone` in interface `DeepCloneable`
  Returns:
    Description of the Returned Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD